%undefine __cmake_in_source_build
%global cmake %cmake3

%bcond_with     lpcnet

Summary:        Low bit rate speech codec
Name:           codec2
Version:        1.0.5
Release:        4%{?dist}
License:        LGPL-2.1-only
URL:            http://rowetel.com/codec2.html
Source0:        https://github.com/drowe67/codec2/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc gcc-c++ cmake3
BuildRequires:  libsamplerate-devel speex-devel speexdsp-devel
%if %{with lpcnet}
BuildRequires:  lpcnetfreedv-devel
%endif

%description
Codec 2 is an open source speech codec designed for communications quality speech
between 700 and 3200 bit/s. The main application is low bandwidth HF/VHF digital
radio. It fills a gap in open source voice codecs beneath 5000 bit/s and is released
under the GNU Lesser General Public License (LGPL).


%package devel
Summary:        Development files for Codec 2 
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for %{name}.


%package devel-examples
Summary:        Example code for Codec 2
Requires:       %{name}-devel = %{version}-%{release}
BuildArch:      noarch

%description devel-examples
Example code for %{name}.


%prep
%autosetup -p1


%build
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo -DINSTALL_EXAMPLES=TRUE -DUNITTEST=FALSE \
%if %{with lpcnet}
       -DLPCNET=ON
%endif

%cmake_build


%install
%cmake_install


%files
%license COPYING
%doc README.md
%{_libdir}/*.so.*


%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/
%{_includedir}/%{name}/


%files devel-examples
%{_datadir}/%{name}/


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.5-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.5-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.5-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 27 2023 rockerzhu <rockerzhu@tencent.com> - 1.0.5-1
- Initial build.
